//#region Название
function NameItemData(observer) {
    var that = this;

    var args = [];
    args.push(observer);
    args.push({
        group: 'nameitemdata',
        name: 'name',
        selector: '[name="name"]',
        useDefaultEvent: true
    });
    ItemData.apply(this, args);

}
NameItemData.prototype = Object.create(ItemData.prototype);
NameItemData.prototype.AppendNotConflictUpdate = function (submitData) {
    ItemData.prototype.AppendNotConflictUpdate.call(this, submitData);
    if (this.TaskRightsDisplayType() == ItemDataHelper.TaskRightsDisplayType.View) {
        $(this._options.selector).siblings('.task-name').text(submitData);
    }
}
//#endregion